ClientListener (RabbIT/4)
Date: 2009-10-13

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rabbit.client
Interface ClientListener

All Known Implementing Classes:
  ClientListenerAdapter

    public interface ClientListener

A client that handles the event generated by the ClientBase class.

Author:
  Robert Olofsson

Method Summary
`boolean` | `followRedirects()` Check if this client request wants to automatically follow redirects
`void` | `handleFailure(HttpHeader request, Exception e)` Handle a failure of a given request.
`void` | `handleResponse(HttpHeader request, HttpHeader response, WebConnectionResourceSource wcrs)` Handle a response for a request.
`void` | `handleTimeout(HttpHeader request)` Handle a timeout of a given request.
`void` | `redirected(HttpHeader request, String location, ClientBase base)` Handle a redirected request
`void` | `requestDone(HttpHeader request)` A request has been fully handled.

Method Detail

### redirected

    void redirected(HttpHeader request,
                    String location,
                    ClientBase base)

  Handle a redirected request

  Parameters:
    `request` - the request that was redirected
    `location` - the location the redirect gives

### handleResponse

    void handleResponse(HttpHeader request,
                        HttpHeader response,
                        WebConnectionResourceSource wcrs)

  Handle a response for a request.

  Parameters:
    `request` - the request made
    `response` - the response header
    `wcrs` - the actual resource

### followRedirects

    boolean followRedirects()

  Check if this client request wants to automatically follow redirects

### requestDone

    void requestDone(HttpHeader request)

  A request has been fully handled.

### handleTimeout

    void handleTimeout(HttpHeader request)

  Handle a timeout of a given request.

### handleFailure

    void handleFailure(HttpHeader request,
                       Exception e)

  Handle a failure of a given request.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD